This server has public endpoints to login (authenticate a user via name and password). 

It is meant to run in the same pod as an ORY Kratos instance and uses this to do the 
actual user authentication.

The single `/login` endpoint takes a username and password and returns success or failure on the authenication. 

To login, POST to '/login` with the following data:

```
type LoginRequest struct {
	Uid string `json:"uid"`
	Pw  string `json:"pw"`
}
```

If successful, the response status will be 200 and this will be returned in the body of the response:

```
type LoginResult struct {
	Session         string `json:"session"`
	Username        string `json:"username"`
	Email           string `json:"email"`
	AuthenticatedAt string `json:"authenticated_at"`
	ExpiresAt       string `json:"expires_at"`
}
```

This server does not use certifcates and assumes it runs behind an SSL Reterminator. 

It takes two arguments:

```
Usage of ./merge-login:
  -loglevel string
        Level to log at
  -port int
        port to listen on (default 4455)
```
